## libcaldav 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( libcaldav )
set( VERSION R14.0.9 )
set( PACKAGE_VERSION 0.6.5 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( GNUInstallDirs OPTIONAL )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

if( CMAKE_INSTALL_LIBDIR )
  tde_setup_install_path( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
endif( )

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL         "Build all"                    OFF )
option( BUILD_DOC         "Build documentation"          ${BUILD_ALL} )
option( BUILD_CALDAV_TEST "Build caldav-test executable" OFF )
option( BUILD_UNITTEST    "Build unittest executable"    OFF )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_CALDAV_TEST test/src )
tde_conditional_add_subdirectory( BUILD_UNITTEST    test/unittest ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## libcaldav 14.0.2

=== debian/changelog ===
libcaldav (4:14.0.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Oct 2015 16:11:25 +0100

libcaldav (0.6.5-2debian2) maverick; urgency=low

  * Fixed RECURRENCE-ID modification with Zimbra CalDAV resources

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 28 Aug 2010 16:34:00 -0600

libcaldav (0.6.4-0debian0) lenny; urgency=low

  * Added VTODO support

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Aug 2010 18:53:00 -0600

libcaldav (0.6.3-0debian1) lenny; urgency=low

  * Multiple VEVENT blocks in a single CardDAV response are now returned correctly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 26 Aug 2010 15:40:00 -0600

libcaldav (0.6.2-0debian0) lenny; urgency=low

  * Added "Connection: close" to the list of headers sent, so that server keep-alive (which causes long delays) is disabled.

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Jul 2010 15:29:00 -0600

libcaldav (0.6.1-1debian0) lenny; urgency=low

  * Initial Lenny build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 31 May 2010 01:55:00 -0600

=== debian/control ===
Source: libcaldav
Build-Depends: cdbs, debhelper (>= 5), quilt, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
Section: graphics
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Standards-Version: 3.8.3

Package: libcaldav
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: 
 libcaldav provides a C interface for caldav PIM clients

Package: libcaldav-dev
Architecture: any
Section: libdevel
Depends: libcaldav (= ${binary:Version})
Description: 
 libcaldav provides a C interface for caldav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcaldav.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O3
endif

# Suppress accidental execution of the auto-* tools, c.f.
# http://lists.debian.org/debian-devel/2001/debian-devel-200111/msg01416.html
no_auto_tools = ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

make_flags = moduledir=/usr/lib/gdk-imlib2 $(no_auto_tools)

post-patches::
	dh_testdir

build: post-patches build-stamp
build-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr \
		--mandir=/usr/share/man
	$(MAKE) $(make_flags)

	touch build-stamp

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(make_flags) DESTDIR=`pwd`/debian/tmp install

	dh_movefiles

	# Library package
	dh_install -plibcaldav --autodest debian/tmp/usr/lib/libcaldav.so*

	# Developer package
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/lib/libcaldav.la
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/include/libcaldav/*
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/lib/pkgconfig/*

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs -A debian/README.Debian
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

# Build architecture independent packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependent packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libcaldav 14.0.4

=== debian/changelog ===
libcaldav (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:36:44 +0200

## libcaldav 14.0.5

=== debian/changelog ===
libcaldav (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 03:38:25 +0200

## libcaldav 14.0.6

=== debian/changelog ===
libcaldav (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:10:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libcaldav
-Build-Depends: cdbs, debhelper (>= 5), quilt, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev, automake, autoconf, libtool, libltdl-dev
 Section: graphics
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>

## libcaldav 14.0.8

=== debian/changelog ===
libcaldav (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:03 +0200

## libcaldav 14.0.9

=== debian/changelog ===
libcaldav (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:49:40 +0200

## libcaldav 14.0.10

=== debian/changelog ===
libcaldav (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: libcaldav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
Standards-Version: 3.8.3

Package: libcaldav
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description: 
 libcaldav provides a C interface for caldav PIM clients

Package: libcaldav-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libcaldav (= ${binary:Version})
Description: 
 libcaldav provides a C interface for caldav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcaldav.

## libcaldav 14.0.11

=== debian/changelog ===
libcaldav (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 May 2021 16:26:10 +0200

## libcaldav 14.0.12

=== debian/changelog ===
libcaldav (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:02:59 +0100

## libcaldav 14.0.13

=== debian/changelog ===
libcaldav (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 12:29:52 +0200

## libcaldav 14.1.0

=== debian/changelog ===
libcaldav (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libcaldav 14.1.1

=== debian/changelog ===
libcaldav (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libcaldav 14.1.2

=== debian/changelog ===
libcaldav (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:57:47 +0100

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= 0t64
else
DEB_TIME64_SUFFIX	=
endif


ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DWITH_ALL_OPTIONS="ON" \
 -DBUILD_ALL="ON"

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libcaldav\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/libcaldav$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
	    debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libcaldav$(DEB_TIME64_SUFFIX)\." | \
	xargs -r rm
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif

## libcaldav 14.1.3

=== debian/changelog ===
libcaldav (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:08:50 +0200

## libcaldav 14.1.4

=== debian/changelog ===
libcaldav (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
 Standards-Version: 3.8.3
 
 Package: libcaldav

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,12 @@
 	ls -d debian/* | \
 	grep -E "/libcaldav$(DEB_TIME64_SUFFIX)\." | \
 	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
+	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    debian/control
+else
 	[ ! -f debian/control.t64 ] || \
 	mv debian/control.t64 debian/control
 endif

## libcaldav 14.1.5~pre0

=== debian/changelog ===
libcaldav (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 023b3918201379009d853df2abbba3f2f3a488cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libcaldav 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${GTHREAD_INCLUDE_DIRS}
  ${CURL_INCLUDE_DIRS}
)


set( _SRC caldav.c
          add-caldav-object.c
          delete-caldav-object.c
          modify-caldav-object.c
          get-caldav-report.c
          get-display-name.c
          caldav-utils.c
          caldav-utils.h md5.c
          options-caldav-server.c
          lock-caldav-object.c
          get-freebusy-report.c
)


##### caldav (shared)

tde_add_library( caldav SHARED

  SOURCES
        ${_SRC}
   LINK
      ${GTHREAD_LIBRARIES}
      ${CURL_LIBRARIES}
      
   VERSION 0.0.6

  DESTINATION ${LIB_INSTALL_DIR}
)


if( BUILD_CALDAV_TEST OR BUILD_UNITTEST )
##### caldav (static)

tde_add_library( caldav STATIC

  SOURCES
        ${_SRC}
   LINK
      ${GTHREAD_LIBRARIES}
      ${CURL_LIBRARIES}
)
endif()


#### pkg-config

set( prefix ${CMAKE_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${CMAKE_PROJECT_NAME}.pc.cmake ${CMAKE_PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)


##### header

install(
    FILES caldav.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)

=== debian/changelog ===
libcaldav (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
 ifeq ($(DEB_TIME64_API),true)

## libcaldav 14.1.6~pre0

=== debian/changelog ===
libcaldav (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 023b3918201379009d853df2abbba3f2f3a488cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libcaldav 14.1.6~pre1

=== debian/changelog ===
libcaldav (4:14.1.6~pre1-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for a3ea1cd4bc73e55c1ddd54c3b40c1ae5d0fa968d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 05 Feb 2026 04:56:52 +0100

libcaldav (4:14.1.6~pre1-0) forky; urgency=low

  * Added SO version to binary package name.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 04 Feb 2026 21:41:51 +0100

## libcaldav 14.1.6~pre2

=== debian/changelog ===
libcaldav (4:14.1.6~pre2-0ubuntu20.04.0+3) focal; urgency=low

  * Automated git build for 7a1aa500479837d8702dbe5955b65d62d25f38d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 02:52:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
 ifeq ($(DEB_TIME64_API),true)
-DEB_TIME64_SUFFIX	= 0t64
+DEB_TIME64_SUFFIX	= t64
 else
 DEB_TIME64_SUFFIX	=
 endif
@@ -31,16 +31,17 @@
 ifeq ($(DEB_TIME64_API),true)
 	# update library package name for TIME64 ABI
 	ls -d debian/* | \
-	grep -E "/libcaldav\." | \
+	grep -E "/libcaldav0\." | \
 	grep -v "\.t64$$" | \
 	while read a; do \
 	    [ -d $$a ] || [ -f $$a.t64 ] || \
-	    (cp -a $$a debian/libcaldav$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
+	    (cp -a $$a debian/libcaldav0$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
 	done
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcaldav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcaldav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcaldav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 endif
 
@@ -56,12 +57,13 @@
 	    mv $$a $${a%.t64}; \
 	done
 	ls -d debian/* | \
-	grep -E "/libcaldav$(DEB_TIME64_SUFFIX)\." | \
+	grep -E "/libcaldav0$(DEB_TIME64_SUFFIX)\." | \
 	xargs -r rm
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcaldav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcaldav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcaldav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 else
 	[ ! -f debian/control.t64 ] || \

## libcaldav 14.2.0~pre3

=== debian/changelog ===
libcaldav (4:14.2.0~pre3-0ubuntu24.04.0+8) noble; urgency=low

  * Automated git build for 0897c58efc9c0f6aad2096be6a19dd42ff5ddf5f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
 Standards-Version: 3.8.3
 
 Package: libcaldav

## libcaldav 14.2.0~pre4

=== debian/changelog ===
libcaldav (4:14.2.0~pre4-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 9cd01a38dab9c629a1dc04a6f58c26edae414d5f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Feb 2026 13:35:44 +0100

=== debian/control ===
Source: libcaldav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
Standards-Version: 3.8.3

Package: libcaldav0
Architecture: any
Multi-Arch: same
Section: libs
Conflicts: libcaldav
Provides: libcaldav
Replaces: libcaldav
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcaldav - a caldav PIM clients library
 libcaldav provides a C interface for caldav PIM clients.

Package: libcaldav-dev
Architecture: any
Section: libdevel
Depends: libcaldav0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: libcaldav - a caldav PIM clients library
 libcaldav provides a C interface for caldav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcaldav.

## libcaldav 14.2.0~pre5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( libcaldav )
-set( VERSION R14.0.9 )
 set( PACKAGE_VERSION 0.6.5 )
 
 
@@ -25,20 +28,14 @@
 include( CheckIncludeFile       )
 include( CheckLibraryExists     )
 include( CheckCSourceCompiles   )
-include( GNUInstallDirs OPTIONAL )
 
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
 ##### setup install paths
-
-if( CMAKE_INSTALL_LIBDIR )
-  tde_setup_install_path( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
-endif( )
 
 include( TDESetupPaths )
 tde_setup_paths( )

=== debian/changelog ===
libcaldav (4:14.2.0~pre5-0ubuntu25.04.0+11) plucky; urgency=low

  * Automated git build for 18d791970efcc6e64a57bac990b10d29cfc0e537
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 18:15:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Multi-Arch: same
 Section: libs
 Conflicts: libcaldav
-Provides: libcaldav
+Provides: libcaldav (= ${binary:Version})
 Replaces: libcaldav
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libcaldav - a caldav PIM clients library
